import { OdooModel } from "../decorators/model";
import { OdooField } from "../decorators/field";
import { FieldTypes } from "../types/field";

@OdooModel("res.partner", [['customer', '=', true], ['active', '=', true]])
export class Customer {

    @OdooField(FieldTypes.CHAR)
    name: string;

    @OdooField(FieldTypes.CHAR)
    city: string;

    @OdooField(FieldTypes.CHAR)
    email: string;

    @OdooField(FieldTypes.CHAR)
    fax: string;

    @OdooField(FieldTypes.CHAR)
    mobile: string;

    @OdooField(FieldTypes.BINARY)
    image_medium: string;

    @OdooField(FieldTypes.INTEGER)    
    opportunity_count: number;

    @OdooField(FieldTypes.FLOAT)
    partner_latitude: number;

    @OdooField(FieldTypes.FLOAT)
    partner_longitude: number;
}